#include "../src/config.h"
#include "../src/Noritake_VFD_GUU100.h"
#include "font8x8.h"
#include "font5x8.h"
#include "font5x8_descender.h"
#include <util/delay.h>

static Noritake_VFD_GUU100 vfd;

int main() {    
    _delay_ms(500); // Wait for power up
    vfd.reset();
    vfd.init();    
    vfd.clearScreen();
    vfd.setFont(font5x8, 5, 8);
    for (uint8_t i = 0x20; i < 0x80; i++) {
        #if NORITAKE_VERTICAL == 0
            if (i != 0x20 && i % 16 == 0)
                vfd.crlf();
        #endif
        vfd.print(i);
    }
    vfd.crlf();
    vfd.setFont(font5x8, 5, 8);
    vfd.println("gjpqy");
    vfd.setFont(font5x8_descender, 5, 8);
    vfd.print("gjpqy");
    
    vfd.setCursor(NORITAKE_WIDTH - 8*7,  NORITAKE_HEIGHT - 8);
    vfd.setFont(font8x8, 8, 8, 0);
    vfd.print("8x8font");
}
